Bug 57054 - Huge /var/log/lastlog due to high nfsnobody UID
Huge /var/log/lastlog due to high nfsnobody UID
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-03 16:22 EST by Jim Richardson
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-03 16:24:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Richardson 2001-12-03 16:22:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
the lastlog file appears to be a flat file indexed by UID. Creating the 
nfsnobody account at a high value effectively cause nfsnobody UID - 
highest normal UID empty records to be insterted into the lastlog file.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install latest nfs-utils*.rpm

	

Actual Results:  Size of lastlog on all systems jumped to nearly 2 MEG

Additional info:
Comment 1 Pete Zaitcev 2002-08-19 20:05:46 EDT
This is normal. If you did not copy it, the file is going to
be holey - it uses very little space.

[zaitcev@niphredil linux-2.5.30-sparc]$ ls -l /var/log/lastlog
-rw-r--r--    1 root     root     19136220 Aug 19 15:50 /var/log/lastlog
[zaitcev@niphredil linux-2.5.30-sparc]$ du -ks /var/log/lastlog
44
/var/log/lastlog
[zaitcev@niphredil linux-2.5.30-sparc]$ 

I do not think anything can easily be done about it.
The default value of nfsnobody is selected to be compatible
with Solaris. I suppose someone can change lastlog to be
a db3 file, but that's not that trivial (consider locking,
and it adds one more dependancy for core utilities...)

Please poke Support if it causes any particular problems
besides the psychological shock from the ls -l output.

Note You need to log in before you can comment on or make changes to this bug.